View Single Post
dtravis7

 
dtravis7's Avatar
 
Member Since: Jan 04, 2005
Location: Modesto, Ca.
Posts: 27,914
dtravis7 has a reputation beyond reputedtravis7 has a reputation beyond reputedtravis7 has a reputation beyond reputedtravis7 has a reputation beyond reputedtravis7 has a reputation beyond reputedtravis7 has a reputation beyond reputedtravis7 has a reputation beyond reputedtravis7 has a reputation beyond reputedtravis7 has a reputation beyond reputedtravis7 has a reputation beyond reputedtravis7 has a reputation beyond repute
Mac Specs: iMac 2.4 C2D 10.10.1, iMac 2.16 C2d 10.6.8, Macbook2007 10.8.4, Mac Mini 10.8.4, iPhone 3GS Note 8!!

dtravis7 is offline
It's Safari but with 10.3.9 even if you put on an older version of say Firefox it will still have some issues on sites. 10.3.9 is just too old! I ran into an iBook G4 with Panther and had the same issues. I upgraded the friend to the last Tiger 10.4.11 and all his sites worked. If you max out the RAM I would try 10.5 Leopard though as you would be even more recent. That as was said is the last OSX version you can install.

Only issue with 10.5 is cost. People charge an arm and a leg for it as it's the newest OS that runs on many of the older Macs.

If you are strapped for $$$ get a Full install Black DVD of Tiger and update it online to 10.4.11. That will do you a lot better than Panther and the cost will be a lot lower.
QUOTE Thanks